import type { Knex } from '@nangohq/database';
import type { DBInvitation } from '@nangohq/types';
export declare function expirePreviousInvitations({ email, accountId, trx }: {
    email: string;
    accountId: number;
    trx: Knex;
}): Promise<number>;
export declare function inviteEmail({ email, name, accountId, invitedByUserId, trx }: {
    email: string;
    name: string;
    accountId: number;
    invitedByUserId: number;
    trx: Knex;
}): Promise<DBInvitation | null>;
export declare function listInvitations({ accountId }: {
    accountId: number;
}): Promise<DBInvitation[]>;
export declare function acceptInvitation(token: string): Promise<number>;
export declare function declineInvitation(token: string): Promise<number>;
export declare function getInvitation(token: string): Promise<DBInvitation | null>;
